Name: flameshot 
Version: 0.6.0
Release: 4.6%{?dist}

# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/lupoDharkael/flameshot#license
License: GPLv3+ and ASL 2.0 and GPLv2 and LGPLv3 and Free Art
Summary: Powerful and simple to use screenshot software

URL: https://github.com/lupoDharkael/flameshot
Source0: %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: cmake(Qt5Svg)

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: qt5-linguist
BuildRequires: gcc-c++
BuildRequires: gcc

Requires: hicolor-icon-theme
Requires: qt5-qtsvg%{?_isa}

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.

%prep
%autosetup -p1
mkdir %{_target_platform}

%build
pushd %{_target_platform}
    %qmake_qt5 PREFIX=%{_prefix} CONFIG+=packaging ..
popd

%make_build -C %{_target_platform}

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}
%find_lang Internationalization --with-qt
chmod +x %{_builddir}/%{name}-%{version}/flameshotgui.sh
cp %{_builddir}/%{name}-%{version}/flameshotgui.sh %{buildroot}/%{_bindir}/

%check
appstream-util validate-relax --nonet "%{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml"
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f Internationalization.lang
%doc README.md
%license LICENSE img/app/flameshotLogoLicense.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_bindir}/flameshotgui.sh
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Tue Sep 22 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.6.0-4.6
- 按照flameshot官方说明修改截图快捷键命令

* Mon Sep 14 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.6.0-4.5
- 修复保存截图不能切换输入法bug

* Wed Sep 09 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.6.0-4.4
- 修复保存截图不能切换输入法问题

* Fri Jul 17 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.6.0-4.3
- 合入flameshot-0.6.0-4版本

* Thu Jul 16 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.6.0-4.2
- 屏蔽图片上传入口

* Thu Jul 16 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.6.0-4.1
- 修改主色调
